Este endpoint ha quedado obsoleto desde febrero 2025 ya que hemos dejado de admitir la creación de nuevas instancias sin servidor. Por favor, utiliza el endpoint de actualización de Flex Cluster para actualizar los clústeres Flex.
Actualiza un clúster de nivel compartido a una instancia sin servidor en el proyecto especificado.
Requisitos del rol
- Gestor de clústeres de proyectos
POST /api/atlas/v1.0/groups/{groupId}/clusters/tenantUpgradeToServerless
curl \
--request POST 'https://cloud.mongodb.com/api/atlas/v1.0/groups/32b6e34b3d91647abb20e7b8/clusters/tenantUpgradeToServerless' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{"name":"string","providerSettings":{"backingProviderName":"AWS","providerName":"SERVERLESS","regionName":"string"},"serverlessBackupOptions":{"serverlessContinuousBackupEnabled":true},"tags":[{"key":"string","value":"string"}],"terminationProtectionEnabled":false}'
Solicitar ejemplos
{
"name": "string",
"providerSettings": {
"backingProviderName": "AWS",
"providerName": "SERVERLESS",
"regionName": "string"
},
"serverlessBackupOptions": {
"serverlessContinuousBackupEnabled": true
},
"tags": [
{
"key": "string",
"value": "string"
}
],
"terminationProtectionEnabled": false
}
Ejemplos de respuesta (200)
{
"connectionStrings": {
"privateEndpoint": [
{
"endpoints": [
{
"endpointId": "string",
"providerName": "AWS",
"region": "string"
}
],
"srvConnectionString": "string",
"type": "MONGOS"
}
],
"standardSrv": "string"
},
"createDate": "2026-05-04T09:42:00Z",
"groupId": "32b6e34b3d91647abb20e7b8",
"id": "32b6e34b3d91647abb20e7b8",
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"mongoDBVersion": "string",
"name": "string",
"providerSettings": {
"backingProviderName": "AWS",
"effectiveDiskSizeGBLimit": 42,
"effectiveInstanceSizeName": "M10",
"effectiveProviderName": "string",
"providerName": "SERVERLESS",
"regionName": "string"
},
"serverlessBackupOptions": {
"serverlessContinuousBackupEnabled": true
},
"stateName": "IDLE",
"tags": [
{
"key": "string",
"value": "string"
}
],
"terminationProtectionEnabled": false
}
Ejemplos de respuesta (400)
{
"detail": "(This is just an example, the exception may not be related to this endpoint) No provider AWS exists.",
"error": 400,
"errorCode": "VALIDATION_ERROR",
"reason": "Bad Request"
}
Ejemplos de respuesta (401)
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 401,
"errorCode": "NOT_ORG_GROUP_CREATOR",
"reason": "Unauthorized"
}
Ejemplos de respuesta (402)
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 402,
"errorCode": "NO_PAYMENT_INFORMATION_FOUND",
"reason": "Payment Required"
}
Ejemplos de respuesta (403)
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 403,
"errorCode": "CANNOT_CHANGE_GROUP_NAME",
"reason": "Forbidden"
}
Ejemplos de respuesta (404)
{
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"error": 404,
"errorCode": "RESOURCE_NOT_FOUND",
"reason": "Not Found"
}
Ejemplos de respuesta (409)
{
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot delete organization link while there is active migration in following project ids: 60c4fd418ebe251047c50554",
"error": 409,
"errorCode": "CANNOT_DELETE_ORG_ACTIVE_LIVE_MIGRATION_ATLAS_ORG_LINK",
"reason": "Conflict"
}
Ejemplos de respuesta (500)
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 500,
"errorCode": "UNEXPECTED_ERROR",
"reason": "Internal Server Error"
}